Bug 480718 - SELinux AVC message on HAL hal-addon-macbookpro-backlight
SELinux AVC message on HAL hal-addon-macbookpro-backlight
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 23:08 EST by Glen Turner
Modified: 2009-11-18 08:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:04:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Turner 2009-01-19 23:08:01 EST
Description of problem:

On a MacBook Pro (hardware version 2,2) when hald is started the following AVC messages appear:

type=AVC msg=audit(1232423407.461:56): avc:  denied  { create } for  pid=4133 comm="hald-addon-macb" scontext=unconfined_u:system_r:hald_mac_t:s0 tcontext=unconfined_u:system_r:hald_mac_t:s0 tclass=unix_dgram_socket
type=AVC msg=audit(1232423407.519:57): avc:  denied  { create } for  pid=4133 comm="hald-addon-macb" scontext=unconfined_u:system_r:hald_mac_t:s0 tcontext=unconfined_u:system_r:hald_mac_t:s0 tclass=unix_dgram_socket


Version-Release number of selected component (if applicable):

# rpm -q selinux-policy-targeted
selinux-policy-targeted-3.5.13-38.fc10.noarch
# rpm -q hal
hal-0.5.12-14.20081027git.fc10.x86_64


How reproducible:

Always

Steps to Reproduce:
1. /etc/init.d/haldaemon restart


Actual results:

AVC messages above appear in /var/log/audit/audit.log


Expected results:

No AVC error.


Additional info:

The following SELinux rules are required to cease the above AVC messages and later-occurring related AVC messages.

require {
    type hald_mac_t;
    type devlog_t;
    type syslogd_t;
    class unix_dgram_socket { create connect sendto write };
    class sock_file { write };
}     

allow hald_mac_t self:unix_dgram_socket { create connect write };
allow hald_mac_t devlog_t:sock_file write;
allow hald_mac_t syslogd_t:unix_dgram_socket sendto;
Comment 1 Daniel Walsh 2009-01-20 11:04:48 EST
Miroslav add

logging_send_syslog_msg(hald_mac_t)

To f9 and F10 policy please.
Comment 2 Miroslav Grepl 2009-01-20 14:02:46 EST
Fixed in selinux-policy-3.5.13-40.fc10.noarch
Comment 3 Bug Zapper 2009-11-18 07:44:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Daniel Walsh 2009-11-18 08:04:42 EST
Closing as closed in the current release.

Note You need to log in before you can comment on or make changes to this bug.